summaryrefslogtreecommitdiffstats
path: root/arch/tde-extra/tde-amarok
diff options
context:
space:
mode:
Diffstat (limited to 'arch/tde-extra/tde-amarok')
-rw-r--r--arch/tde-extra/tde-amarok/PKGBUILD55
-rw-r--r--arch/tde-extra/tde-amarok/bp000-add-taglib2-support-part2.diff40
2 files changed, 78 insertions, 17 deletions
diff --git a/arch/tde-extra/tde-amarok/PKGBUILD b/arch/tde-extra/tde-amarok/PKGBUILD
index b87b39775..ed5197093 100644
--- a/arch/tde-extra/tde-amarok/PKGBUILD
+++ b/arch/tde-extra/tde-amarok/PKGBUILD
@@ -1,47 +1,68 @@
# Contributor: e1z0 <justinas at eofnet dot lt>
-pkgname=tde-amarok
-pkgver=14.0.10
+_mod=amarok
+_cat=applications/multimedia/
+_kdemod="${_mod/tde/kde}"
+
+pkgname="tde-${_mod}"
+pkgver=14.1.2
pkgrel=1
pkgdesc="TDE Amarok"
-arch=('i686' 'x86_64')
-url='https://scm.trinitydesktop.org/scm/git/applications/amarok'
+arch=('i686' 'x86_64' 'aarch64' 'armv7h' 'powerpc64le')
+url="https://scm.trinitydesktop.org/scm/git/${_mod}"
license=('GPL')
groups=('tde-extra')
depends=('tde-tdebase' 'taglib' 'xine-lib')
-makedepends=('pkgconfig' 'cmake')
-#provides=('tde-amarok')
-#conflicts=('tde-amarok')
-#replaces=('tde-amarok')
+makedepends=('tde-cmake-trinity' 'tde-akode' 'ruby' 'libmtp' 'libvisual' 'sdl')
+provides=("${_mod}")
+conflicts=("trinity-${_mod}" "kdemod3-${_kdemod}")
+replaces=("trinity-${_mod}")
options=('staticlibs' 'libtool' '!strip')
-source=("https://mirror.ppa.trinitydesktop.org/trinity/releases/R${pkgver}/main/applications/amarok-trinity-${pkgver}.tar.xz")
-md5sums=('fab4ed783d4027711e4aaca098bb04b1')
-# install=''
+source=("https://mirror.ppa.trinitydesktop.org/trinity/releases/R${pkgver}/main/${_cat}${_mod}-trinity-${pkgver}.tar.xz"
+ 'bp000-add-taglib2-support-part2.diff')
+md5sums=('f2c48a2061d9718cad303279f1e54922'
+ '7fe8fa72bbe23a685a5e4344b804f6c8')
+install=''
[ -n "$TDEDIR" ] || TDEDIR=/opt/trinity
+prepare() {
+ msg "Apply backported patches"
+ cd ${srcdir}/${pkgname#*-}-trinity-${pkgver} || exit 1
+ patch -p1 < ${srcdir}/bp000-add-taglib2-support-part2.diff
+}
+
build() {
- cd $srcdir
msg "Creating out-of-source build directory: ${srcdir}/build"
- mkdir -p build
- cd build
+ mkdir -p ${srcdir}/build
+ cd ${srcdir}/build
export PKG_CONFIG_PATH=${TDEDIR}/lib/pkgconfig:${PKG_CONFIG_PATH}
msg "Starting cmake..."
cmake ${srcdir}/${pkgname#*-}-trinity-${pkgver} \
+ -GNinja \
-DCMAKE_VERBOSE_MAKEFILE=ON \
-DCMAKE_INSTALL_PREFIX=${TDEDIR} \
-DBUILD_ALL=ON \
+ -DWITH_ALL_OPTIONS=ON \
+ -DWITH_YAUAP=OFF \
+ -DWITH_NJB=OFF \
+ -DWITH_IFP=OFF \
+ -DWITH_IPOD=OFF \
+ -DWITH_MP4V2=OFF \
-DWITH_EMBEDDED_SQLITE=ON \
- -DWITH_OPENGL=ON
+ -DWITH_SYSTEM_SQLITE=OFF \
+ -DWITH_MYSQL=OFF \
+ -DWITH_POSTGRESQL=OFF \
+ -DWITH_AMAZON=OFF
msg "Building - ${pkgname#*-}..."
- make $NUMJOBS
+ ninja $NUMJOBS
}
package() {
msg "Packaging - $pkgname-$pkgver"
cd ${srcdir}/build
- make -j1 DESTDIR="${pkgdir}" install
+ DESTDIR="${pkgdir}" ninja -j1 install
}
diff --git a/arch/tde-extra/tde-amarok/bp000-add-taglib2-support-part2.diff b/arch/tde-extra/tde-amarok/bp000-add-taglib2-support-part2.diff
new file mode 100644
index 000000000..c92bfae7d
--- /dev/null
+++ b/arch/tde-extra/tde-amarok/bp000-add-taglib2-support-part2.diff
@@ -0,0 +1,40 @@
+commit 4a0485854f175f1aef5332edfe70164beb4e05fd
+Author: Slávek Banko <slavek.banko@axis.cz>
+Date: Fri Apr 26 11:33:36 2024 +0200
+
+ Add support for taglib 2, part 2.
+
+ Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
+
+diff --git a/amarok/src/metadata/m4a/mp4file.cpp b/amarok/src/metadata/m4a/mp4file.cpp
+index b210f1ec..a1733a67 100644
+--- a/amarok/src/metadata/m4a/mp4file.cpp
++++ b/amarok/src/metadata/m4a/mp4file.cpp
+@@ -131,12 +131,12 @@ uint MP4::File::readSystemsLen()
+ uint length = 0;
+ uint nbytes = 0;
+ ByteVector input;
+- TagLib::uchar tmp_input;
++ uchar tmp_input;
+
+ do
+ {
+ input = readBlock(1);
+- tmp_input = static_cast<TagLib::uchar>(input[0]);
++ tmp_input = static_cast<uchar>(input[0]);
+ nbytes++;
+ length = (length<<7) | (tmp_input&0x7F);
+ } while( (tmp_input&0x80) && (nbytes<4) );
+diff --git a/amarok/src/metadata/m4a/mp4isofullbox.cpp b/amarok/src/metadata/m4a/mp4isofullbox.cpp
+index c8963ba2..b104681f 100644
+--- a/amarok/src/metadata/m4a/mp4isofullbox.cpp
++++ b/amarok/src/metadata/m4a/mp4isofullbox.cpp
+@@ -55,7 +55,7 @@ void MP4::Mp4IsoFullBox::parsebox()
+ parse();
+ }
+
+-TagLib::uchar MP4::Mp4IsoFullBox::version()
++uchar MP4::Mp4IsoFullBox::version()
+ {
+ return d->version;
+ }